---
updatedAt: 2025-12-28T21:51:27.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# getFares

This method will return the current fares for the selected route and date

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        start
      </td>

      <td style={{ textAlign: "left" }}>
        Date
      </td>

      <td style={{ textAlign: "left" }}>
        Begging of date range
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        end
      </td>

      <td style={{ textAlign: "left" }}>
        Date
      </td>

      <td style={{ textAlign: "left" }}>
        End of date range
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        from
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        (Optional) - Departure destination code
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        to
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        (Optional) - Arrival destinaion code
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        chargetype
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        (Optional)\
        The iataCode chargetype
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        currency
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        (optional)\
        The currency short code. This will force prices to be in this requested currency
      </td>
    </tr>
  </tbody>
</Table>

> 📘 Activation
>
> This method will be available starting August 1st, 2018.

## Response

The method will response with a list of fares sellable as on the time of the request.

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        count
      </td>

      <td>
        Number
      </td>

      <td>
        number of fares found
      </td>
    </tr>

    <tr>
      <td>
        airlineDesignator
      </td>

      <td>
        String
      </td>

      <td>
        Airline Designator
      </td>
    </tr>

    <tr>
      <td>
        airlineICAOcode
      </td>

      <td>
        String
      </td>

      <td>
        Airline 3 letter ICAO code
      </td>
    </tr>

    <tr>
      <td>
        airlinename
      </td>

      <td>
        String
      </td>

      <td>
        Airline name
      </td>
    </tr>

    <tr>
      <td>
        fromCode
      </td>

      <td>
        String
      </td>

      <td>
        Destination FROM code
      </td>
    </tr>

    <tr>
      <td>
        toCode
      </td>

      <td>
        String
      </td>

      <td>
        Destination TO code
      </td>
    </tr>

    <tr>
      <td>
        fromDate
      </td>

      <td>
        String
      </td>

      <td>
        Fare flight date range start
      </td>
    </tr>

    <tr>
      <td>
        toDate
      </td>

      <td>
        String
      </td>

      <td>
        Fare flight date range end
      </td>
    </tr>

    <tr>
      <td>
        classes
      </td>

      <td>
        Array
      </td>

      <td>
        List of class codes and the quantity available for each one
      </td>
    </tr>

    <tr>
      <td>
        adultFareRT
      </td>

      <td>
        Money
      </td>

      <td>
        Fare for Adult (Round trip)
      </td>
    </tr>

    <tr>
      <td>
        childFareRT
      </td>

      <td>
        Money
      </td>

      <td>
        Fare for Child (Round trip)
      </td>
    </tr>

    <tr>
      <td>
        infantFareRT
      </td>

      <td>
        Money
      </td>

      <td>
        Fare for Infant (Round trip)
      </td>
    </tr>

    <tr>
      <td>
        tax1RT
      </td>

      <td>
        Money
      </td>

      <td>
        Tax (Round trip)
      </td>
    </tr>

    <tr>
      <td>
        tax2RT
      </td>

      <td>
        Money
      </td>

      <td>
        Tax (Round trip)
      </td>
    </tr>

    <tr>
      <td>
        tax3RT
      </td>

      <td>
        Money
      </td>

      <td>
        Tax (Round trip)
      </td>
    </tr>

    <tr>
      <td>
        tax4RT
      </td>

      <td>
        Money
      </td>

      <td>
        Tax (Round trip)
      </td>
    </tr>

    <tr>
      <td>
        adultFareOW
      </td>

      <td>
        Money
      </td>

      <td>
        Fare for Adult (One Way)
      </td>
    </tr>

    <tr>
      <td>
        childFareOW
      </td>

      <td>
        Money
      </td>

      <td>
        Fare for Child (One Way)
      </td>
    </tr>

    <tr>
      <td>
        infantFareOW
      </td>

      <td>
        Money
      </td>

      <td>
        Fare for Infant (One Way)
      </td>
    </tr>

    <tr>
      <td>
        tax1OW
      </td>

      <td>
        Money
      </td>

      <td>
        Tax (One Way)
      </td>
    </tr>

    <tr>
      <td>
        tax2OW
      </td>

      <td>
        Money
      </td>

      <td>
        Tax (One Way)
      </td>
    </tr>

    <tr>
      <td>
        tax3OW
      </td>

      <td>
        Money
      </td>

      <td>
        Tax (One Way)
      </td>
    </tr>

    <tr>
      <td>
        tax4OW
      </td>

      <td>
        Money
      </td>

      <td>
        Tax (One Way)
      </td>
    </tr>

    <tr>
      <td>
        chargeTaxOnReturnTrip
      </td>

      <td>
        String
      </td>

      <td>
        When searching for a RT, this will state if we charge the tax on both legs, first leg only or second leg only
      </td>
    </tr>

    <tr>
      <td>
        notification
      </td>

      <td>
        String
      </td>

      <td>
        Fare notification
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/getFares": {
      "post": {
        "summary": "getFares",
        "description": "This method will return the current fares for the selected route and date",
        "operationId": "getfares",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "dates": {
                          "start": "2018/06/11",
                          "end": "2018/12/30"
                        }
                      }
                    }
                  }
                },
                "Request Example 2": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "destinations": {
                          "from": "DAR",
                          "to": "ZNZ"
                        },
                        "dates": {
                          "start": "2023/06/11",
                          "end": "2023/12/30"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n    \"aerocrs\": {\n        \"success\": true,\n        \"fares\": {\n            \"count\": 1,\n            \"fare\": [\n                {\n                  \t\"airlineDesignator\": \"DS\"\n                    \"airlineICAOcode\": \"DVS\",\n                    \"fromDate\": \"2018/05/01\",\n                    \"toDate\": \"2019/03/31\",\n                    \"fromCode\": \"DAR\",\n                    \"toCode\": \"ZNZ\",\n                    \"class\": \"Y\",\n                    \"currency\": \"USD\",\n                    \"adultFareOW\": 100,\n                    \"childFareOW\": 80,\n                    \"infantFareOW\": 0,\n                    \"tax1OW\": 0,\n                    \"tax2OW\": 0,\n                    \"tax3OW\": 0,\n                    \"tax4OW\": 0,\n                    \"adultFareRT\": 160,\n                    \"childFareRT\": 90,\n                    \"infantFareRT\": 0,\n                    \"tax1RT\": 0,\n                    \"tax2RT\": 0,\n                    \"tax3RT\": 0,\n                    \"tax4RT\": 0,\n                    \"chargeTaxOnReturnTrip\": \"On Both Legs\",\n                    \"notification\": \"\"\n                }\n            ]\n        }\n    }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```